#!/usr/bin/perl

######################################################################
# Instalador de un Web Server
# ===========================
#
# Copyright (c) 2001 by P-Drok-Array (dr0k@0ri0n.org)
# http://pleyades.sourceforge.net
#
# Este Script es para instalar el Apache, MySQL y el PHP en tu 
# Computadora. Este Script necesita ser correido como "root".
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################


if ($< != 0) {
	print "Tu deberias correr este Script como root.\nPor Favor entra como root y corre de nuevo este Script.\n";
	die ("Instalacion Cancelada");
}
system ("clear");

print "------------------------------------------------------------\n";
print "|   iWebServer v1.1  - By P-Drok-Array  <dr0k\@0ri0n.org>   |\n";
print "------------------------------------------------------------\n";
print "Con este script tu podras instalar Apache, PHP, y MySQL en tu\n";
print "Computadora. Asegurate de que tengas  copiados  los  archivos\n";
print ".tar.gz  de  Apache,  PHP   y   MySQL   en  este  Directorio.\n\n";
print "Presione cualquier tecla para continuar...";
$resp=<STDIN>;



system ("tar xvfz mysql*.tar.gz") == 0 or die ("\nError al Descomprimir el MySQL");
system ("tar xvfz apache*.tar.gz") == 0 or die ("\nError al Descomprimir el Apache");
system ("tar xvfz php-*.tar.gz") == 0 or die ("\nError al Descomprimir el PHP");

opendir(DIR, ".");
@directory=readdir(DIR);
@mysql = grep(/mysql/, @directory);
@apache = grep(/apache_/, @directory);
@php = grep(/php-[34]/, @directory);
closedir(DIR);
foreach (@mysql) {
	$mysql_dir=$_ unless !-d;
}
foreach (@apache) {
	$apache_dir=$_ unless !-d;
}
foreach (@php) {
	$php_dir=$_ unless !-d;
}
if (length($mysql_dir) < 4) {
	print "No se encontro el MySQL en este directorio!\nAsegurate de que el archivo MySQL tar.gz este dentro de este directorio?\n";
	print "El comando tar pudo haber fallado. Chequea de que todos los archovs esten bien.\n";
	die ("MySQL no fue encontrado");
}

if (length($apache_dir) < 4) {
	print "No se encontro el Apache en este directorio!\nAsegurate de que el archivo MySQL tar.gz este dentro de este directorio?\n";
	print "El comando tar pudo haber fallado. Chequea de que todos los archovs esten bien.\n";
	die ("Apache no fue encontrado");
}

if (length($php_dir) < 4) {
	print "No se encontro el PHP en este directorio!\nAsegurate de que el archivo PHP tar.gz este dentro de este directorio?\n";
	print "El comando tar pudo haber fallado. Chequea de que todos los archovs esten bien.\n";
	die ("PHP no fue encontrado");
}

print "cd $mysql_dir; ./configure; make; make install-strip; ./scripts/mysql_install_db; cp support-files/mysql.server /etc/rc.d/init.d/mysql; chmod a+x /etc/rc.d/init.d/mysql\n";
system("cd $mysql_dir; ./configure; make; make install-strip; ./scripts/mysql_install_db; cp support-files/mysql.server /etc/rc.d/init.d/mysql; chmod a+x /etc/rc.d/init.d/mysql");

print "cd $apache_dir ;./configure --prefix=/usr/local/apache\n";
system("cd $apache_dir ;./configure --prefix=/usr/local/apache");
if (-e "$php_dir/do-conf") {
	print "cd $php_dir; ./do-conf; make; make install; cp php3.ini-dist /usr/local/lib/php3.ini\n";
	system("cd $php_dir; sh ./do-conf; make; make install; cp php3.ini-dist /usr/local/lib/php3.ini");
} else {
	print "cd $php_dir; sh ./setup; make; make install; cp php3.ini-dist /usr/local/lib/php3.ini\n";
	system("cd $php_dir; sh ./setup; make; make install; cp php3.ini-dist /usr/local/lib/php3.ini");
}

print "cd $apache_dir; ./configure --prefix=/usr/local/apache --activate-module=src/modules/php3/libphp3.a; make; make install\n";
system("cd $apache_dir; ./configure --prefix=/usr/local/apache --activate-module=src/modules/php3/libphp3.a; make; make install");

print "Ahora puedes iniciar el Apache y el MySQL tipeando:\n";
print "/etc/rc.d/init.d/mysql start\n";
print "/usr/local/apache/bin/apachectl start\n";
print "Cualquier comentario o sugerencia puedes enviarmela a: dr0k\@0ri0n.org\n";

